Bug 1639979 - Empty dist-info file breaks operations with pip >= 10.0.0
Summary: Empty dist-info file breaks operations with pip >= 10.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: root
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-17 04:39 UTC by Duncan Macleod
Modified: 2018-11-11 01:28 UTC (History)
3 users (show)

Fixed In Version: root-6.14.04-3.fc28 root-6.14.04-3.fc27 root-6.14.04-3.fc29 root-6.14.04-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-05 01:27:46 UTC


Attachments (Terms of Use)

Description Duncan Macleod 2018-10-17 04:39:44 UTC
Description of problem:

The empty `dist-info` file created in the root.spec rpmbuild allows `pip` to discover that ROOT is installed, and at which version. However, with pip >= 10.0.0, this breaks any package manipulation operation (install, upgrade) on _any_ package, because pip cannot determine the requires list for ROOT.

Version-Release number of selected component (if applicable):

Name        : python2-root
Version     : 6.14.04
Release     : 1.el7
Architecture: x86_64
Group       : Unspecified
Size        : 932640
License     : LGPLv2+
Signature   : RSA/SHA256, Sun 26 Aug 2018 09:19:18 PM PDT, Key ID 6a2faea2352c64e5
Source RPM  : root-6.14.04-1.el7.src.rpm
Build Date  : Sat 25 Aug 2018 10:19:42 AM PDT
Build Host  : buildvm-23.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : https://root.cern/
Bug URL     : https://bugz.fedoraproject.org/root

How reproducible:

Upgrade pip beyond 10.0.0 and try to install anything.

Steps to Reproduce:
1. python -m virtualenv /tmp/venv --system-site-packages

2. /tmp/venv/bin/python -m pip install --upgrade pip

3. /tmp/venv/bin/python -m pip install setuptools


Actual results:

KeyError: 'No metadata except PKG-INFO is available'

Expected results:

No error.

Additional info:

Comment 1 Ruggero 2018-10-24 20:24:41 UTC
I have exactly the same problem, but I can reproduce it just after step 1. with pip 9.0.3.

Do you have a temporary workaround?

Comment 2 Ruggero 2018-10-24 20:45:52 UTC
workaround, not a solution: downgrade ROOT. It works with pip-18

    dnf install --allowerasing root-core-6.12.06-2.fc28

Comment 3 Fedora Update System 2018-10-26 19:11:12 UTC
pythia8-8.2.35-5.fc27 root-6.14.04-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-34f2dfe110

Comment 4 Fedora Update System 2018-10-26 19:11:27 UTC
pythia8-8.2.35-5.fc29 root-6.14.04-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-22de6b53d5

Comment 5 Fedora Update System 2018-10-26 19:11:40 UTC
pythia8-8.2.35-5.fc28 root-6.14.04-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c354576690

Comment 6 Fedora Update System 2018-10-26 19:11:52 UTC
pythia8-8.2.35-5.el7 root-6.14.04-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bc4d122b23

Comment 7 Fedora Update System 2018-10-27 15:35:11 UTC
pythia8-8.2.35-5.fc28, root-6.14.04-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c354576690

Comment 8 Ruggero 2018-10-27 16:42:18 UTC
Am I doing something wrong?

 dnf install root-6.14.04-3.fc28.x86_64 --enablerepo=updates-testing

can't find the package

Comment 9 Fedora Update System 2018-10-27 17:04:38 UTC
pythia8-8.2.35-5.el7, root-6.14.04-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bc4d122b23

Comment 10 Fedora Update System 2018-10-27 17:49:10 UTC
pythia8-8.2.35-5.fc27, root-6.14.04-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-34f2dfe110

Comment 11 Mattias Ellert 2018-10-28 04:37:27 UTC
(In reply to Ruggero from comment #8)
> Am I doing something wrong?
> 
>  dnf install root-6.14.04-3.fc28.x86_64 --enablerepo=updates-testing
> 
> can't find the package

No, you are not doing anything wrong. But you need to be a bit patient. The message about the update having been pushed is sent when the package is put in the master mirror. Fedora uses several mirrors of the repos, and it takes some time for updates to propagate too all the mirrors.

Comment 12 Ruggero 2018-10-28 11:00:13 UTC
Works! Thanks

Comment 13 Ruggero 2018-10-31 13:30:33 UTC
can you push also to fedora 29?

Comment 14 Mattias Ellert 2018-10-31 14:37:50 UTC
(In reply to Ruggero from comment #13)
> can you push also to fedora 29?

I requested the Fedora 29 update to be pushed at the same time as I made the requests for the Fedora 27 and 28 updates. Pushes to Fedora 29 stable were subject to a freeze in the days running up to the release, and it seems also pushes to Fedora 29 testing have been a bit delayed, although pushes to testing are not formally blocked by the freeze. Now that the release has happened the push should hopefully happen soon.

Comment 15 Fedora Update System 2018-10-31 18:49:38 UTC
pythia8-8.2.35-5.fc29, root-6.14.04-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-22de6b53d5

Comment 16 Fedora Update System 2018-11-05 01:27:46 UTC
pythia8-8.2.35-5.fc28, root-6.14.04-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-11-05 01:52:55 UTC
pythia8-8.2.35-5.fc27, root-6.14.04-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-11-10 03:17:18 UTC
pythia8-8.2.35-5.fc29, root-6.14.04-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-11-11 01:28:39 UTC
pythia8-8.2.35-5.el7, root-6.14.04-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.